/***文档注释***********************************************
 * 作者               :                   刘学
 * 创建日期      :                   2017.12.4
 * 描述               :        			质量检验项产品标准与取样码试验标准关系
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Com.vo;

import java.io.Serializable;
import java.util.Date;

import market.Com.mapper.ComBaseStdRTestMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_STD_R_TEST", namespace=ComBaseStdRTestMapper.class)
public class ComBaseStdRTest extends BaseVO implements Serializable {

	/** 标准代码（试验标准） */
	@Column("STD_CODE_TEST")
	private String stdCodeTest;

	/** 标准名称（试验标准） */
	@Column("STD_NAME_TEST")
	private String stdNameTest;

	/** 取样码 */
	@Column("PHY_CODE_M")
	private String phyCodeM;

	/** 取样码描述 */
	@Column("PHY_NAME_M")
	private String phyNameM;

	/** 优先级（1。2。3。4。。。。） */
	@Column("LEVEL_TEST")
	private Integer levelTest;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(1:有效，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 主键 */
	@Id
	private String pk;

	public String getStdCodeTest() {
		return this.stdCodeTest;
	}

	public String getStdNameTest() {
		return this.stdNameTest;
	}

	public String getPhyCodeM() {
		return this.phyCodeM;
	}

	public String getPhyNameM() {
		return this.phyNameM;
	}

	public Integer getLevelTest() {
		return this.levelTest;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getPk() {
		return this.pk;
	}

	public void setStdCodeTest(String stdCodeTest) {
		this.stdCodeTest = stdCodeTest;
	}

	public void setStdNameTest(String stdNameTest) {
		this.stdNameTest = stdNameTest;
	}

	public void setPhyCodeM(String phyCodeM) {
		this.phyCodeM = phyCodeM;
	}

	public void setPhyNameM(String phyNameM) {
		this.phyNameM = phyNameM;
	}

	public void setLevelTest(Integer levelTest) {
		this.levelTest = levelTest;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setPk(String pk) {
		this.pk = pk;
	}

}
